Create media performance dashboard
Closed, ResolvedPublic

Description

Images make up the bulk of the page weight, they should have their own dedicated grafana dashboard.

The first thing to track should be thumbnail generation time, in order to study the effect of T105680 beind deployed.

Gilles created this task.Jul 13 2015, 10:06 AM
Gilles updated the task description. (Show Details)
Gilles raised the priority of this task from to Normal.
Gilles claimed this task.
Gilles added a project: Performance-Team.
Gilles added subscribers: Aklapper, Gilles.

Change 224599 had a related patch set uploaded (by Gilles):
Record timing of thumbnail generation and store pull

https://gerrit.wikimedia.org/r/224599

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jul 14 2015, 12:37 PM

Change 224599 merged by jenkins-bot:
Record timing of thumbnail generation and store pull

https://gerrit.wikimedia.org/r/224599

Change 225304 had a related patch set uploaded (by Gilles):
Refine thumbnailing metrics

https://gerrit.wikimedia.org/r/225304

Change 225304 merged by jenkins-bot:
Refine thumbnailing metrics

https://gerrit.wikimedia.org/r/225304

Gilles set Security to None.

varnishlog command on deployment-cache-upload02 to get the data that matters:

 varnishlog -m RxURL:/thumb/ -n frontend -i Hit -i HitPass -i RxURL -i ReqEnd -i TxStatus

13 RxURL        c /wikipedia/de/thumb/2/24/Wikinews-logo.svg/26px-Wikinews-logo.svg.png
13 TxStatus     c 304
13 ReqEnd       c 1770922296 1437510136.149027109 1437510136.149499655 0.129729748 0.000418901 0.000053644

The float before last is the one that matters most: it's how long the backend took to produce the file.

Change 226556 had a related patch set uploaded (by Gilles):
Track image load time with statsv

https://gerrit.wikimedia.org/r/226556

Change 226556 merged by jenkins-bot:
Track image load time with statsv

https://gerrit.wikimedia.org/r/226556

Change 228218 had a related patch set uploaded (by Gilles):
Track image load time with statsv

https://gerrit.wikimedia.org/r/228218

Change 228218 merged by jenkins-bot:
Track image load time with statsv

https://gerrit.wikimedia.org/r/228218

Change 228219 had a related patch set uploaded (by Gilles):
Backport Media Viewer image load time statsv tracking

https://gerrit.wikimedia.org/r/228219

Gilles renamed this task from Create image performance dashboard to Create media performance dashboard.Aug 5 2015, 8:27 AM

Change 229340 had a related patch set uploaded (by Gilles):
Add most common non-bucket size to statsv performance tracking

https://gerrit.wikimedia.org/r/229340

Change 229341 had a related patch set uploaded (by Gilles):
Add link to media dashboard

https://gerrit.wikimedia.org/r/229341

Change 229340 merged by jenkins-bot:
Add most common non-bucket size to statsv performance tracking

https://gerrit.wikimedia.org/r/229340

Change 229341 merged by jenkins-bot:
Add link to media dashboard

https://gerrit.wikimedia.org/r/229341

Change 228219 abandoned by Gilles:
Backport Media Viewer image load time statsv tracking

https://gerrit.wikimedia.org/r/228219

Change 234157 had a related patch set uploaded (by Gilles):
Send image varnish frontend data from logs to statsd

https://gerrit.wikimedia.org/r/234157

Change 234157 merged by Ori.livneh:
Send image varnish frontend data from logs to statsd

https://gerrit.wikimedia.org/r/234157

Gilles closed this task as Resolved.Sep 15 2015, 2:32 PM